Bug 1664212 (CVE-2019-6133)

Summary: CVE-2019-6133 polkit: Temporary auth hijacking via PID reuse and non-atomic fork
Product: [Other] Security Response Reporter: Sam Fowler <sfowler>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: high Docs Contact:
Priority: high    
Version: unspecifiedCC: abhgupta, bmcclain, dbaker, dblechte, dfediuck, eedri, jokerman, jrybar, mgoldboi, michal.skrivanek, polkit-devel, psampaio, sbonazzo, security-response-team, sherold, sthangav, trankin, yturgema
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
A vulnerability was found in polkit. When authentication is performed by a non-root user to perform an administrative task, the authentication is temporarily cached in such a way that a local attacker could impersonate the authorized process, thus gaining access to elevated privileges.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-10 10:44:53 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1667310, 1667311, 1667312, 1667777, 1667778, 1690802, 1690803, 1746059, 1746060    
Bug Blocks: 1664214    

Description Sam Fowler 2019-01-08 04:17:22 UTC
polkit has a vulnerability that allows a local attacker to hijack a PID during an authentication attempt by a non-root user and subsequently execute code as the authenticated process.

Upstream patch:

https://gitlab.freedesktop.org/polkit/polkit/commit/c898fdf4b1aafaa04f8ada9d73d77c8bb76e2f81
https://gitlab.freedesktop.org/polkit/polkit/merge_requests/19
https://git.kernel.org/pub/scm/linux/kernel/git/torvalds/linux.git/commit/?id=7b55851367136b1efd84d98fea81ba57a98304cf

Comment 5 Doran Moppert 2019-01-18 06:54:19 UTC
Acknowledgments:

Name: Jan Rybar (freedesktop.org)
Upstream: Jann Horn (Google Project Zero)

Comment 6 Pedro Sampaio 2019-01-18 14:08:28 UTC
External References:

https://bugs.chromium.org/p/project-zero/issues/detail?id=1692

Comment 7 Doran Moppert 2019-01-21 03:22:34 UTC
Upstream bug:

https://gitlab.freedesktop.org/polkit/polkit/issues/75

Comment 8 Doran Moppert 2019-01-21 03:27:53 UTC
Created polkit tracking bugs for this issue:

Affects: fedora-all [bug 1667777]

Comment 9 Doran Moppert 2019-01-21 03:27:59 UTC
Created polkit tracking bugs for this issue:

Affects: fedora-all [bug 1667777]

Comment 11 errata-xmlrpc 2019-01-31 18:19:52 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2019:0230 https://access.redhat.com/errata/RHSA-2019:0230

Comment 12 errata-xmlrpc 2019-02-26 16:45:55 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2019:0420 https://access.redhat.com/errata/RHSA-2019:0420

Comment 14 errata-xmlrpc 2019-04-23 12:57:39 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.6 Advanced Update Support

Via RHSA-2019:0832 https://access.redhat.com/errata/RHSA-2019:0832

Comment 16 errata-xmlrpc 2019-09-10 13:46:42 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.4 Extended Update Support

Via RHSA-2019:2699 https://access.redhat.com/errata/RHSA-2019:2699

Comment 17 errata-xmlrpc 2019-10-08 10:00:27 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7.5 Extended Update Support

Via RHSA-2019:2978 https://access.redhat.com/errata/RHSA-2019:2978